{
  "name": "prix-carburants-api",
  "version": "0.1.0",
  "description": "API pour le projet prix-carburants",
  "private": false,
  "main": "index.js",
  "scripts": {
    "start": "node start-server.js",
    "start:local": "nodemon start-server.js",
    "lint": "./node_modules/.bin/eslint . --fix"
  },
  "repository": {
    "type": "git",
    "url": "git@framagit.org:dbroqua/prix-carburants-api.git"
  },
  "author": "Damien Broqua <contact@darkou.fr>",
  "license": "ISC",
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.js": [
      "./node_modules/.bin/eslint --fix",
      "git add"
    ]
  },
  "nodemonConfig": {
    "ext": "*.js,*.json,*yaml"
  },
  "dependencies": {
    "@babel/compat-data": "^7.13.12",
    "cookie-parser": "~1.4.4",
    "cors": "^2.8.5",
    "debug": "~2.6.9",
    "express": "~4.16.1",
    "express-pino-logger": "^4.0.0",
    "file-stream-rotator": "^0.5.7",
    "http-errors": "~1.6.3",
    "iconv-lite": "^0.5.1",
    "moment": "^2.24.0",
    "mongoose": "^5.9.2",
    "morgan": "~1.9.1",
    "node-html-parser": "^1.2.8",
    "pino-pretty": "^3.6.1",
    "request": "^2.88.2",
    "xml2json": "^0.12.0"
  },
  "devDependencies": {
    "@babel/core": "^7.8.6",
    "@babel/plugin-proposal-class-properties": "^7.13.0",
    "@babel/plugin-proposal-object-rest-spread": "^7.13.8",
    "@babel/plugin-transform-runtime": "^7.13.10",
    "@babel/preset-env": "^7.13.12",
    "@babel/register": "^7.13.8",
    "babel-eslint": "^10.1.0",
    "eslint": "^6.8.0",
    "eslint-config-airbnb-base": "^14.0.0",
    "eslint-config-prettier": "^6.10.0",
    "eslint-plugin-import": "^2.20.1",
    "eslint-plugin-jest": "^23.8.1",
    "eslint-plugin-prettier": "^3.1.2",
    "husky": "^4.2.3",
    "lint-staged": "^10.0.8",
    "nodemon": "^2.0.2",
    "prettier": "^1.19.1"
  }
}
